function out = F1func11(mu, P1, P2)

% Implements Eq. (10) from: 
% A. Balatsoukas-Stimming and A. P. Liavas, "Design of LDPC codes for the unequal power two-user Gaussian multiple access channel," IEEE Wireless Communications Letters, May 2018

% Preallocate
out = zeros(1,length(mu));

% Axis
step = 0.05;
z = -15:step:15;

% Calculate F11
for i = 1:length(mu)
    out(i) = (1/sqrt(pi)) .* sum( exp(-z.^2) .* log( (1+exp(sqrt(4*mu(i) + 8*P2).*z + mu(i) + 2*P2 )) ./ ...
        (1+exp(-sqrt(4*mu(i) + 8*P2).*z - mu(i) - 2*P2 - 4*sqrt(P1)*sqrt(P2) ) ) ) ) .* step - mu(i) + 2*(P1-P2);
    % Avoid Inf
    if( isinf(out(i)) )
        out(i) = out(i-1);
    end
end